package geniusweb.partiesserver;

import com.fasterxml.jackson.databind.ObjectMapper;

/**
 * A central generator for the object mapper, so that we can extend the
 * objectmapper (with custom classes) centrally. Also allows us to cache the
 * objectmapper.
 * 
 * <b> This class should is private to the profiles server and should not be
 * used by others.</b>
 */
public class Jackson {
	private static ObjectMapper jackson;

	public static ObjectMapper instance() {
		if (jackson == null) {
			jackson = new ObjectMapper();
		}
		return jackson;
	}
}